AGRepositoryFactory (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository.config, class: AGRepositoryFactory

Package com.franz.agraph.repository.config

# Class AGRepositoryFactory

java.lang.Object
com.franz.agraph.repository.config.AGRepositoryFactory

All Implemented Interfaces:
  `org.eclipse.rdf4j.repository.config.RepositoryFactory`

public class AGRepositoryFactory extends Object implements org.eclipse.rdf4j.repository.config.RepositoryFactory
A `RepositoryFactory` that creates `AGRepository`s based on RDF configuration data.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REPOSITORY_TYPE`
  The type of repositories that are created by this factory.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGRepositoryFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AGRepositoryConfig`
  `getConfig()`
  `org.eclipse.rdf4j.repository.Repository`
  `getRepository(org.eclipse.rdf4j.repository.config.RepositoryImplConfig config)`
  `String`
  `getRepositoryType()`
  Returns the repository's type: `allegrograph:AGRepository`.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REPOSITORY_TYPE

    public static final String REPOSITORY_TYPE
    The type of repositories that are created by this factory.
    See Also:
      - `RepositoryFactory.getRepositoryType()`
      - Constant Field Values

- ## Constructor Details

  - ### AGRepositoryFactory

    public AGRepositoryFactory()

- ## Method Details

  - ### getRepositoryType

    public String getRepositoryType()
    Returns the repository's type: `allegrograph:AGRepository`.
    Specified by:
      `getRepositoryType` in interface `org.eclipse.rdf4j.repository.config.RepositoryFactory`

  - ### getConfig

    public AGRepositoryConfig getConfig()
    Specified by:
      `getConfig` in interface `org.eclipse.rdf4j.repository.config.RepositoryFactory`

  - ### getRepository

    public org.eclipse.rdf4j.repository.Repository getRepository(org.eclipse.rdf4j.repository.config.RepositoryImplConfig config) throws org.eclipse.rdf4j.repository.config.RepositoryConfigException
    Specified by:
      `getRepository` in interface `org.eclipse.rdf4j.repository.config.RepositoryFactory`
    Throws:
      `org.eclipse.rdf4j.repository.config.RepositoryConfigException`